﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;

namespace RoboCat
{
    class Program
    {
        static int Main(string[] args)
        {
            bool unbuffered = false;
            string controlFile = null;
            RoboCatAgent rca;
            foreach (string arg in args)
            {
                if (arg.Equals(@"-u"))
                {
                    unbuffered = true;
                }
                else
                {
                    controlFile = arg;
                }
            }
            if (controlFile != null)
                rca = new RoboCatAgent(controlFile);
            else
                rca = new RoboCatAgent();
            try
            {
                return rca.Run(unbuffered);
            }
            catch (Exception e)
            {
                string msg = e.Message;  // Get rid of annoying warning
                return 2;
            }
        }
    }
}
